Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 251726 - app-admin/conky-1.6.2_pre1347 - fails to compile with gcc-4.3
Summary: app-admin/conky-1.6.2_pre1347 - fails to compile with gcc-4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: David Shakaryan (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-12-20 12:11 UTC by Gürkan
Modified: 2009-01-01 20:16 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log,20.16 KB, text/plain)
2008-12-20 12:11 UTC, Gürkan
Details
emerge error output (pre1347-fail-emerge..txt,20.48 KB, text/plain)
2008-12-20 12:12 UTC, Gürkan
Details
patch that fixes this bug (conky-1.6.2_pre1347-missing-include.patch,260 bytes, patch)
2008-12-20 13:04 UTC, David Watzke
Details | Diff
2nd patch (new.patch,249 bytes, text/plain)
2008-12-20 15:06 UTC, mipas
Details
summary of patches (conky-1.6.2_pre1347-gcc43.patch,883 bytes, patch)
2008-12-20 15:39 UTC, mipas
Details | Diff
fixed ebuild file (conky-1.6.2_pre1347.ebuild,3.79 KB, text/plain)
2008-12-20 15:41 UTC, mipas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gürkan 2008-12-20 12:11:02 UTC
While emerging conky-1.6.2_pre1347, make errors, attaching emerge output & build.log..
Previous version was crashed while emerge too, old version emerge output attached on this log: http://bugs.gentoo.org/show_bug.cgi?id=250994

Reproducible: Always




# emerge --info
Portage 2.1.6.1 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r0, 2.6.28-rc3-zen1 i686)
=================================================================
System uname: Linux-2.6.28-rc3-zen1-i686-Intel-R-_Core-TM-2_Duo_CPU_T7100_@_1.80GHz-with-glibc2.0
Timestamp of tree: Sat, 20 Dec 2008 10:10:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=core2 -mtune=core2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=core2 -mtune=core2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.qubenet.net/mirror/gentoo/ http://gentoo.tiscali.nl/ http://gentoo.mneisen.org/"
LANG="tr_TR.UTF-8"
LC_ALL="tr_TR.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -s"
LINGUAS="tr"
MAKEOPTS="-j4 -s "
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/desktop-effects /usr/local/portage/layman/zen-overlay /usr/local/portage/layman/arcon"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa bash-completion bluetooth bzip2 cli cracklib crypt custom-cflags dbus device-mapper disk-partition dri effects fat ffmpeg firefox fortran freetype gdbm gif gimpprint glitz gnome gpm gst gstreamer gtk gtk2 hal iconv icq ipv6 irc isdnlog jabber jfs jpeg laptop lcd lm_sensors midi mjpeg mmx mng moznocompose moznoirc moznomail moznopango mp3 msn mudflap nautilus ncurses network networkmanager nls nptl nptlonly ntfs ogg opengl openmp pam pcre pdf perl pidgin plugin png pppd python rar readline reflection reiser4 reiserfs rss ruby session spl sqlite3 sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcpd theora tiff udev unicode usb v4l v4l2 vorbis wifi win32codecs x86 xcb xfs xine xorg yahoo zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="tr" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gürkan 2008-12-20 12:11:30 UTC
Created attachment 175936 [details]
Build log

adding build.log
Comment 2 Gürkan 2008-12-20 12:12:43 UTC
Created attachment 175938 [details]
emerge error output

attaching emerge output (used LC_ALL="C" to be sure it's not an local problem)
Comment 3 David Watzke 2008-12-20 13:04:22 UTC
Created attachment 175943 [details, diff]
patch that fixes this bug

it's yet another gcc4.3/missing-#include case
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2008-12-20 14:12:20 UTC
Reassigning to / CCing maintainers.
Comment 5 mipas 2008-12-20 15:06:32 UTC
Created attachment 175948 [details]
2nd patch

there is another error which needs to include "limits.h". Attached is my patch for this.
Comment 6 mipas 2008-12-20 15:39:18 UTC
Created attachment 175957 [details, diff]
summary of patches

there was needed another patch to include <sys/param.h> to conky.c and mail.c. I've created a final working patch from all of the patched mentioned here. It's attached.
Comment 7 mipas 2008-12-20 15:41:10 UTC
Created attachment 175959 [details]
fixed ebuild file

I'm attaching also my fixed ebuild file for this patch
Comment 8 Brenden Matthews 2008-12-23 04:01:13 UTC
(In reply to comment #7)
> Created an attachment (id=175959) [edit]
> fixed ebuild file
> 
> I'm attaching also my fixed ebuild file for this patch
> 

Thanks.  Committed here:

http://git.omp.am/?p=conky.git;a=commit;h=cd49afbd193b40c2c9822607a1ec5c12d6758f82

I will get a new package up within a few days.
Comment 9 Brenden Matthews 2008-12-23 04:02:42 UTC
Oh, and please test from git.  Here's an example of how 2:

$ git clone git://git.omp.am/conky.git
$ cd conky
$ sh autogen.sh
$ ./configure --prefix=/usr --enable-testing
$ make
$ ./src/conky
Comment 10 Gürkan 2008-12-23 07:28:17 UTC
complied good from git :) waiting for the new pack..
Comment 11 mipas 2008-12-23 10:33:49 UTC
confirming that it's working from the git repo
Comment 12 Sumit Khanna 2008-12-31 15:24:17 UTC
I had this same problem; confirming that the new ebuild and gcc43 patch worked for me on ~amd64
Comment 13 mipas 2009-01-01 14:42:52 UTC
New version of conky - 1.6.2_pre1355 is available in portage. We can close this bug.

Comment 14 David Shakaryan (RETIRED) gentoo-dev 2009-01-01 20:16:49 UTC
(In reply to comment #13)
> New version of conky - 1.6.2_pre1355 is available in portage. We can close this
> bug.
> 

Oops! I forgot about the bug. :]

Thanks folks.